Only if you are in a version three years old AND:

  1. if you want to use the email function for invoices, estimates and statements OR
  2. if you want to run payroll through Intuit, OR
  3. if you want to use Intuit Merchant Service